* {
    margin: 0; padding: 0;
    box-sizing: border-box;
}



/* MOBILE STYLES */

body {
    font-family: verdana;
}

.container {
    margin: 0px 8px;
}

.header-main {
    background-color: rgb(106, 106, 255);
    min-height: 80px;
}

.header-main h1 {
    text-align: center;
}

main {
    display: flex;
    flex-flow: row wrap;
    }

nav {
    background-color: rgb(233, 103, 27);
    min-height: 60px;
    flex-basis: 260px;
    flex-grow: 1;
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
}

a {
    margin: 8px;
    text-decoration: none;
    color: black;
    padding: 5px;
    flex-grow: 1;
    background-color: rgb(255, 122, 73);
}

.desktop {
    border: 3px solid rgb(105, 28, 0);
    display: none;
}

.phone {
    border: 4px solid rgb(161, 5, 0);
    display: block;
}

article {
    background-color: #EEE;
    flex-basis: 340px;
    flex-grow: 1;
}

.header-article {
    background-color: rgb(53, 218, 53);
    min-height: 60px;
    margin: 8px;
}

figure {
    background-color: rgb(255, 191, 0);
    min-height: 200px;
    margin: 8px;
    background-image: url(../images/buildings.jpg);
    background-size: cover;
}

article p {
    font-size: 1.2em;
    line-height: 1.4;
    margin: .2em 8px 1em 8px;
}

article footer {
    background-color: rgb(197, 197, 197);
    min-height: 60px;
}


/* LANDSCAPE AND BIGGER */
@media screen and (min-width: 1020px) {

    .header-main h1 {
        text-align: left;
    }

    nav {
        flex-grow: 0;
        display: block;
    }

    a {
        display: block;
        margin-top: 20px;
    }

    .desktop {
        display: block;
    }

    .header-article {
        margin: 0;
    }

    figure {
        margin: 16px;
        width: 260px;
        aspect-ratio: 1;
        float: left;
        background-position: center;
    }
    
    article > p:nth-of-type(1) {
        margin-top: 16px;
    }

    article > p:nth-of-type(1)::first-letter {
        color: darkred;
        display: block;
        font-size: 3em;
        float: left;
        padding-right: 8px;
        position: relative;
    }

} /* end of widescreen */